    #if 1 // new formula from Jerrell
        // 1) Get a snapshot of the sensor:
        if(0 == LIS3DH_Read()) return;
        float gX = gssLSM_XL[0];
        float gY = gssLSM_XL[1];
        float gZ = gssLSM_XL[2];
        
//        // 2) Calculate the "g" of earth:
//        float gEarth = sqrt(gX*gX + gY*gY + gZ*gZ);
        
        // 3) Calculate the "g" of forward:
        float gForward = sqrt(fabs(gX*gX + gY*gY + gZ*gZ - gEarth*gEarth));
    
        // 4) Average:
        AccRecord_Write(&gtAccRecord, gForward);
    
        // 5) Alert:
        if(fabs(gtAccRecord.avrg_recent - gtAccRecord.avrg) > THRESHOLD_OF_BRAKING) {
            consecutive_trigger++; if(consecutive_trigger > 3) { consecutive_trigger = 0;
//                LL_PWM_DutySet(E_LL_PWM_FRONT_RED, 100); LL_LED_ON(E_LL_PWM_FRONT_RED);
            } else {
//                LL_LED_OFF(E_LL_PWM_FRONT_RED);
            }
        } else {
            consecutive_trigger = 0; {
//                LL_LED_OFF(E_LL_PWM_FRONT_RED);
            }
        }
    #endif


